Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
ComplexDateData Struct Reference

## Data Fields
unsigned | flags
int | jd
VALUE | nth
date_sg_t | sg
int | year
unsigned | pc
int | df
int | of
VALUE | sf

## Detailed Description

Definition at line 268 of file date_core.c.

## Field Documentation

## ◆ df

int ComplexDateData::df

Definition at line 286 of file date_core.c.

## ◆ flags

unsigned ComplexDateData::flags

Definition at line 270 of file date_core.c.

## ◆ jd

int ComplexDateData::jd

Definition at line 271 of file date_core.c.

## ◆ nth

VALUE ComplexDateData::nth

Definition at line 272 of file date_core.c.

## ◆ of

int ComplexDateData::of

Definition at line 287 of file date_core.c.

## ◆ pc

unsigned ComplexDateData::pc

Definition at line 284 of file date_core.c.

## ◆ sf

VALUE ComplexDateData::sf

Definition at line 288 of file date_core.c.

## ◆ sg

date_sg_t ComplexDateData::sg

Definition at line 273 of file date_core.c.

## ◆ year

int ComplexDateData::year

Definition at line 275 of file date_core.c.

The documentation for this struct was generated from the following file:

- ext/date/date_core.c